import React from "react";
import { BrowserRouter as Router, Route, Routes } from "react-router-dom";
import Navbar from "./components/Navbar";
import StageList from "./components/Stages/StageList.jsx";
import EnterpriseList from "./components/Entreprises/EnterpriseList.jsx";
import StudentList from "./components/Students/StudentList.jsx";
import CandidacyList from "./components/Candidatures/CandidacyList.jsx";
import UnivSupervisorList from "./components/Supervisors/UnivSupervisorList.jsx";

// Import the forms
import StageForm from "./components/Stages/StageForm.jsx";
import EnterpriseForm from "./components/Entreprises/EnterpriseForm.jsx";
import StudentForm from "./components/Students/StudentForm.jsx";
import CandidacyForm from "./components/Candidatures/CandidacyForm.jsx";
import UnivSupervisorForm from "./components/Supervisors/UnivSupervisorForm.jsx";

// Import the update form
import UpdateCandidacyForm from "./components/Candidatures/UpdateCandidacyForm.jsx"; 
import UpdateEnterpriseForm from "./components/Entreprises/UpdateEnterpriseForm.jsx";
import UpdateStageForm from "./components/Stages/UpdateStageForm.jsx";
import UpdateStudentForm from "./components/Students/UpdateStudentForm.jsx";
import UpdateUnivSupervisorForm from "./components/Supervisors/UpdateUnivSupervisorForm.jsx";
import Login from "./components/Login.jsx";
import Logout from "./components/Logout.jsx";
import CandidacyFormPrerempli from "./components/Candidatures/CandidacyFormPrerempli.jsx";

function App() {
  return (
    <Router>
      <Navbar />
      <div className="container mt-4">
        <Routes>
          <Route path="/stages" element={<StageList />} />
          <Route path="/etudiants" element={<StudentList />} />
          <Route path="/entreprises" element={<EnterpriseList />} />
          <Route path="/candidatures" element={<CandidacyList />} />
          <Route path="/superviseurs" element={<UnivSupervisorList />} />
          <Route path="/login" element={<Login />} />
          <Route path="/logout" element={<Logout />} />


          {/* Routes for Forms */}
          <Route path="/ajouter-stage" element={<StageForm />} />
          <Route path="/ajouter-entreprise" element={<EnterpriseForm />} />
          <Route path="/ajouter-etudiant" element={<StudentForm />} />
          <Route path="/ajouter-candidature" element={<CandidacyForm />} />
          <Route path="/ajouter-univsuperviseur" element={<UnivSupervisorForm />} />
          <Route path="/ajouter-ma-candidature/:stageId" element={<CandidacyFormPrerempli />} />


          {/* Routes for Updating */}
          <Route path="/modifier-candidature/:id" element={<UpdateCandidacyForm />} />
          <Route path="/modifier-entreprise/:id" element={<UpdateEnterpriseForm />} />
          <Route path="/modifier-etudiant/:id" element={<UpdateStudentForm/>} />
          <Route path="/modifier-stage/:id" element={<UpdateStageForm/>} />
          <Route path="/modifier-univsuperviseur/:id" element={<UpdateUnivSupervisorForm />} />
          {/* Default Route */}
          <Route path="/" element={<h2>Bienvenue sur l'Application de Gestion des Stages</h2>} />
        </Routes>
      </div>
    </Router>
  );
}

export default App;
