import React, { useState } from "react";
import { Navigate } from "react-router-dom";

function EnterpriseForm() {
  const [name, setName] = useState("");
  const [address, setAddress] = useState("");

  const handleSubmit = (e) => {
    e.preventDefault();

    const newEnterprise = { name, address };

    fetch("http://localhost:8080/api/enterprises/add", {
      method: "POST",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify(newEnterprise)
    })
      .then((res) => res.json())
      .then(() => {
        alert("Entreprise ajoutée avec succès !");
        setName("");
        setAddress("");
      })
      .catch((err) => console.error("Erreur lors de l'ajout de l'entreprise :", err));
  };
 // Handle cancel button
  const handleCancel = () => {
    Navigate("/entreprises"); // Redirect back to candidacy list
  };
  return (
    <div className="container mt-4">
      <h2>Ajouter une Entreprise</h2>
      <form onSubmit={handleSubmit}>
        <div className="mb-3">
          <label className="form-label">Nom de l'entreprise</label>
          <input type="text" className="form-control" value={name} onChange={(e) => setName(e.target.value)} required />
        </div>
        <div className="mb-3">
          <label className="form-label">Adresse</label>
          <input type="text" className="form-control" value={address} onChange={(e) => setAddress(e.target.value)} required />
        </div>
        <div className="d-flex gap-2">
            <button type="submit" className="btn btn-primary">
            Ajouter
            </button>
            <button type="button" className="btn btn-secondary" onClick={handleCancel}>Annuler</button>
        </div>
      </form>
    </div>
  );
}

export default EnterpriseForm;
