import React, { useState, useEffect } from "react";
import { useParams, useNavigate } from "react-router-dom";

function UpdateEnterpriseForm() {
  const { id } = useParams();
  const navigate = useNavigate();

  const [enterprise, setEnterprise] = useState({
    name: "",
    address: "",
  });

  useEffect(() => {
    fetch(`http://localhost:8080/api/enterprises/${id}`)
      .then((res) => res.json())
      .then((data) => setEnterprise(data))
      .catch((err) => console.error("Erreur:", err));
  }, [id]);

  const handleChange = (e) => {
    setEnterprise({ ...enterprise, [e.target.name]: e.target.value });
  };

  const handleSubmit = (e) => {
    e.preventDefault();
    fetch(`http://localhost:8080/api/enterprises/${id}`, {
      method: "PUT",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify(enterprise),
    })
      .then(() => {
        alert("Entreprise mise à jour !");
        navigate("/entreprises");
      })
      .catch((err) => console.error("Erreur:", err));
  };
  // Handle cancel button
  const handleCancel = () => {
    navigate("/entreprises"); // Redirect back to candidacy list
  };

  return (
    <div className="container mt-4">
      <h2>Modifier une Entreprise</h2>
      <form onSubmit={handleSubmit}>
        <div className="mb-3">
          <label className="form-label">Nom</label>
          <input type="text" className="form-control" name="name" value={enterprise.name} onChange={handleChange} required />
        </div>
        <div className="mb-3">
          <label className="form-label">Adresse</label>
          <input type="text" className="form-control" name="address" value={enterprise.address} onChange={handleChange} required />
        </div>
        {/* Buttons: Update & Cancel */}
        <div className="d-flex gap-2">
          <button type="submit" className="btn btn-success">Mettre à jour</button>
          <button type="button" className="btn btn-secondary" onClick={handleCancel}>Annuler</button>
        </div>
      </form>
    </div>
  );
}

export default UpdateEnterpriseForm;
