import { useEffect } from "react";
import { useNavigate } from "react-router-dom";

const Logout = () => {
    const navigate = useNavigate();

    useEffect(() => {
        const logoutUser = async () => {
            try {
                const response = await fetch("http://localhost:8080/api/auth/logout", {
                    method: "POST",
                    credentials: "include", // Ensures cookies are sent and removed
                });

                if (response.ok) {
                    console.log("✅ Logout successful");
                } else {
                    console.error("❌ Logout request failed:", response.status);
                }
            } catch (error) {
                console.error("❌ Error during logout:", error);
            }

            // ✅ Clear stored authentication details
            localStorage.removeItem("token");
            localStorage.removeItem("user");
            localStorage.removeItem("roles"); // ✅ This is the missing part that clears the roles
            localStorage.clear(); // Optional: Clears all localStorage data
            window.location.reload(); 

            // ✅ Redirect to login page
            navigate("/login");
        };

        logoutUser();
    }, [navigate]);

    return <h2>Logging out... Redirecting</h2>;
};

export default Logout;
