import React, { useState } from "react";
import { useNavigate } from "react-router-dom";

function StudentForm() {
  const [firstname, setFirstname] = useState("");
  const [lastname, setLastname] = useState("");
  const navigate = useNavigate(); // Correct use of useNavigate


  const handleSubmit = (e) => {
    e.preventDefault();

    const newStudent = { firstname, lastname };

    fetch("http://localhost:8080/api/students/add", {
      method: "POST",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify(newStudent)
    })
      .then((res) => res.json())
      .then(() => {
        alert("Étudiant ajouté avec succès !");
        setFirstname("");
        setLastname("");
      })
      .catch((err) => console.error("Erreur lors de l'ajout de l'étudiant :", err));
  };
   // Handle cancel button correctly
    const handleCancel = () => {
    navigate("/etudiants"); // Redirect back to student list
  };

  return (
    <div className="container mt-4">
      <h2>Ajouter un Étudiant</h2>
      <form onSubmit={handleSubmit}>
        <div className="mb-3">
          <label className="form-label">Prénom</label>
          <input type="text" className="form-control" value={firstname} onChange={(e) => setFirstname(e.target.value)} required />
        </div>
        <div className="mb-3">
          <label className="form-label">Nom</label>
          <input type="text" className="form-control" value={lastname} onChange={(e) => setLastname(e.target.value)} required />
        </div>
        <div className="d-flex gap-2">
            <button type="submit" className="btn btn-primary">
            Ajouter
            </button>
            <button type="button" className="btn btn-secondary" onClick={handleCancel}>Annuler</button>
        </div>      </form>
    </div>
  );
}

export default StudentForm;
