import React, { useState } from "react";
import { Navigate } from "react-router-dom";

function UnivSupervisorForm() {
  const [name, setName] = useState("");

  const handleSubmit = (e) => {
    e.preventDefault();

    const newSupervisor = { name };

    fetch("http://localhost:8080/api/univsupervisors/add", {
      method: "POST",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify(newSupervisor),
    })
      .then((res) => res.json())
      .then(() => {
        alert("Superviseur ajouté avec succès !");
        setName("");
      })
      .catch((err) => console.error("Erreur lors de l'ajout du superviseur :", err));
  };
   // Handle cancel button
   const handleCancel = () => {
    Navigate("/superviseurs"); // Redirect back to candidacy list
  };

  return (
    <div className="container mt-4">
      <h2>Ajouter un Tuteur Universitaire</h2>
      <form onSubmit={handleSubmit}>
        <div className="mb-3">
          <label className="form-label">Nom du Superviseur</label>
          <input
            type="text"
            className="form-control"
            value={name}
            onChange={(e) => setName(e.target.value)}
            required
          />
        </div>
        <div className="d-flex gap-2">
            <button type="submit" className="btn btn-primary">
            Ajouter
            </button>
            <button type="button" className="btn btn-secondary" onClick={handleCancel}>Annuler</button>
        </div>      </form>
    </div>
  );
}

export default UnivSupervisorForm;
