import React, { useState, useEffect } from "react";
import { useParams, useNavigate } from "react-router-dom";

function UpdateUnivSupervisorForm() {
  const { id } = useParams();
  const navigate = useNavigate();

  const [supervisor, setSupervisor] = useState({
    name: "",
  });

  useEffect(() => {
    fetch(`http://localhost:8080/api/univsupervisors/${id}`)
      .then((res) => res.json())
      .then((data) => setSupervisor(data))
      .catch((err) => console.error("Erreur de chargement:", err));
  }, [id]);

  const handleChange = (e) => {
    setSupervisor({ ...supervisor, [e.target.name]: e.target.value });
  };

  const handleSubmit = (e) => {
    e.preventDefault();
    fetch(`http://localhost:8080/api/univsupervisors/update/${id}`, {
      method: "PUT",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify(supervisor),
    })
      .then(() => {
        alert("Superviseur mis à jour !");
        navigate("/superviseurs");
      })
      .catch((err) => console.error("Erreur:", err));
  };

   // Handle cancel button
   const handleCancel = () => {
    navigate("/superviseurs"); // Redirect back to candidacy list
  };
  return (
    <div className="container mt-4">
      <h2>Modifier un Superviseur</h2>
      <form onSubmit={handleSubmit}>
        <div className="mb-3">
          <label className="form-label">Nom</label>
          <input type="text" className="form-control" name="name" value={supervisor.name} onChange={handleChange} required />
        </div>
        <div className="d-flex gap-2">
          <button type="submit" className="btn btn-success">Mettre à jour</button>
          <button type="button" className="btn btn-secondary" onClick={handleCancel}>Annuler</button>
        </div>
      </form>
    </div>
  );
}

export default UpdateUnivSupervisorForm;
